/**
 *
 * @module fun-generator
 */
;(function () {
  'use strict'

  /* imports */
  const Prando = require('prando')

  // pseudo :: Seed -> [Seed, a]
  const pseudo = s => {
    const rng = new Prando(s)
    const n = rng.next()
    const seed = rng._value
    return [n, seed]
  }

  /* exports */
  module.exports = pseudo
})()

